########################################################################
#           Makefile for shared object
########################################################################
CDEVROOT = $(CDEV)
include $(CDEVROOT)/examples/Makefile.common

CXXEXTRA = $(CLASS_INCLUDES) $(EPICSINCLUDES)
EPICSLIBS = -L$(EPICSLIB) -lCom -lDb -lca

LIBS = 	-L$(CDEVLIB) -lcdev -lEpicsCa -lSampleService -lSimpleService \
        $(EPICSLIBS) -lm -ly -ll

TARGETS = attachCollection detachCollection add1 add2 add3 add4 add5 \
	  remove1 remove2 remove3 remove4 remove5 getList

targets: $(TARGETS)

% : %.cc
	@echo "=> Building $@"
	@rm -f $@
	@$(PROOF) $(CXX) $(CXXFLAGS) $(CXXEXTRA) $^ $(LIBS) -o $@
	@rm -rf ptrepository  

clean:
	@rm -rf *.o *.a *~ *.?.? TC.Cache $(TARGETS) core ptrepository
	
